// project3.js

document.addEventListener("DOMContentLoaded", function () {
  // Load data
  d3.csv("data/tourist_arrivals_usa_2018_2019.csv").then(function (data) {
    // Assuming the CSV file has columns like 'state', 'tourists_2018', 'tourists_2019'

    // Your D3.js code for data visualization
    const svg = d3.select("#your-svg-container");

    // Example: Create circles for each state based on the number of tourists in 2018
    svg.selectAll("circle")
      .data(data)
      .enter()
      .append("circle")
      .attr("cx", (d) => /* calculate X position based on state */)
      .attr("cy", (d) => /* calculate Y position based on number of tourists in 2018 */)
      .attr("r", (d) => /* calculate radius based on the data */)
      .attr("class", "your-hover-elements"); // Add class for hover interactions

    // Add interaction functionality
    const yourHoverElements = document.querySelectorAll(".your-hover-elements");

    yourHoverElements.forEach((element) => {
      element.addEventListener("mouseover", function () {
        // Add code for hover effect, e.g., change color, increase size, etc.
        element.style.opacity = "1";
      });

      element.addEventListener("mouseout", function () {
        // Add code for reverting hover effect
        element.style.opacity = "0.7";
      });

      element.addEventListener("click", function () {
        // Add code for click action
        // You can navigate to a different page, show additional information, etc.
        console.log("Element clicked!");
      });
    });
  });
});


// Example instantiation
// const project3Config = {
//   parentElement: '#project3',
//   dataPath: 'data/tourist_arrivals_usa_2018_2019.csv',
//   // Add other configuration options
// };

// const project3 = new Project3(project3Config);
// project3.loadData();
